
USE AdventureWorks2008R2
GO

-- 1. spatial index with new AUTO_GRID (8 levels)
CREATE SPATIAL INDEX Index_geography_auto_Address
   ON Person.Address(SpatialLocation)
   USING GEOGRAPHY_AUTO_GRID
   WITH (
    CELLS_PER_OBJECT = 64,
    PAD_INDEX  = ON );

CREATE SPATIAL INDEX Index_geography_HHHH_Address
   ON Person.Address(SpatialLocation)
   USING GEOGRAPHY_GRID
   WITH (
    GRIDS = (HIGH, HIGH, HIGH, HIGH ),
    CELLS_PER_OBJECT = 64,
    PAD_INDEX  = ON );

-- 2. "Nearest neighbor" query can use spatial index in plan
DECLARE @g geography = 'POINT(-121.626 47.8315)';
SELECT TOP(7) SpatialLocation.ToString(), City 
FROM Person.Address
WHERE SpatialLocation.STDistance(@g) IS NOT NULL
ORDER BY SpatialLocation.STDistance(@g)
GO
-- cannot use spatial index (needs where clause)
DECLARE @g geography = 'POINT(-121.626 47.8315)';
SELECT TOP(7) SpatialLocation.ToString(), City 
FROM Person.Address
ORDER BY SpatialLocation.STDistance(@g);

select * 
from sys.spatial_indexes i
join sys.spatial_index_tessellations t
on i.object_id = t.object_id and i.index_id = t.index_id

