CREATE DATABASE testbroker
GO

USE testbroker
GO

CREATE QUEUE TargetQ1
CREATE QUEUE TargetQ2
CREATE QUEUE TargetQ3
CREATE QUEUE InitQ

CREATE SERVICE [//TargetDB1/TargetService] ON QUEUE TargetQ1 ([DEFAULT])
CREATE SERVICE [//TargetDB2/TargetService] ON QUEUE TargetQ2 ([DEFAULT])
CREATE SERVICE [//TargetDB3/TargetService] ON QUEUE TargetQ3 ([DEFAULT])

CREATE SERVICE [//InitiatorDB/InitiatorService] ON QUEUE InitQ 
GO

DECLARE @dialog_handle1 UNIQUEIDENTIFIER,
        @dialog_handle2 UNIQUEIDENTIFIER,
        @dialog_handle3 UNIQUEIDENTIFIER,
        @OrderMsg VARCHAR(50) ;

SET @OrderMsg = 'Hello Multicast World';

BEGIN DIALOG @dialog_handle1
FROM SERVICE [//InitiatorDB/InitiatorService]
TO SERVICE '//TargetDB1/TargetService'
WITH ENCRYPTION = OFF;

BEGIN DIALOG @dialog_handle2
FROM SERVICE [//InitiatorDB/InitiatorService]
TO SERVICE '//TargetDB2/TargetService'
WITH ENCRYPTION = OFF;

BEGIN DIALOG @dialog_handle3
FROM SERVICE [//InitiatorDB/InitiatorService]
TO SERVICE '//TargetDB3/TargetService'
WITH ENCRYPTION = OFF;

SEND ON CONVERSATION (@dialog_handle1, @dialog_handle2, @dialog_handle3)
    (@OrderMsg);

-- to confirm messages are there
SELECT * FROM TargetQ1
SELECT * FROM TargetQ2
SELECT * FROM TargetQ3

select * from sys.transmission_queue

